Skip to main content

Get Friend Relationship V2

GET 

/friends/v2/player/:player_uuid/friend/:other_player_uuid

Get the relationship status with the other Player.

Note: This API supports etags and will return the etag header when with the response.

Clients can then utilize the if-none-match header to avoid having to reload the response if it has not changed or to use it to modify the relationship without loosing updates.

Permissions Required: friend:friend_list:read

Request

Path Parameters

    player_uuid uuidrequired
    other_player_uuid uuidrequired

Header Parameters

    if-none-match If-None-Match

    If you provide the ETag that matches the current ETag for this resource, a 304 response will be return - indicating that the resource has not changed.

Responses

Successful Response

Response Headers

  • ETag

    string

    Used to identify this version of the content. Provide with a get request to avoid downloading the same data multiple times.

Schema

    friends_player_uuid uuidrequired
    status FriendshipStatus (string)required

    Possible values: [NONE, FRIENDS, FRIEND_REQUEST_SENT, FRIEND_REQUEST_PENDING, FRIEND_REQUEST_DECLINED_BY_OTHER]

    An enumeration.

    notes Player's notes about the other player (string)
    last_modified_on date-timerequired
Loading...